package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 score_room_detail
 *
 * @author ruoyi
 * @date 2025-10-30
 */
public class ScoreRoomDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 游戏详情id */
    private Long detailId;

    /** 房间id */
    @Excel(name = "房间id")
    private Long roomId;

    /** 详情所属人 */
    @Excel(name = "详情所属人")
    private Long userId;

    /** 详情分数 */
    @Excel(name = "详情分数")
    private Long score;

    /** 触发时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "触发时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 0 胜 1 负 */
    @Excel(name = "0 胜 1 负")
    private Long detailType;

    /** 目标玩家id 多人模式给分使用 */
    @Excel(name = "目标玩家id 多人模式给分使用")
    private Long getterId;

    public void setDetailId(Long detailId)
    {
        this.detailId = detailId;
    }

    public Long getDetailId()
    {
        return detailId;
    }

    public void setRoomId(Long roomId)
    {
        this.roomId = roomId;
    }

    public Long getRoomId()
    {
        return roomId;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setScore(Long score)
    {
        this.score = score;
    }

    public Long getScore()
    {
        return score;
    }

    public void setCreatedTime(Date createdTime)
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime()
    {
        return createdTime;
    }

    public void setDetailType(Long detailType)
    {
        this.detailType = detailType;
    }

    public Long getDetailType()
    {
        return detailType;
    }

    public void setGetterId(Long getterId)
    {
        this.getterId = getterId;
    }

    public Long getGetterId()
    {
        return getterId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("detailId", getDetailId())
            .append("roomId", getRoomId())
            .append("userId", getUserId())
            .append("score", getScore())
            .append("createdTime", getCreatedTime())
            .append("detailType", getDetailType())
            .append("getterId", getGetterId())
            .toString();
    }
}
